1. 3. Returns
Yamm
  • Partner API
    • 1. Authentication
      • Issue Access Token
    • 2. Catalog
      • List Products
      • Get Product
    • 3. Returns
      • List Return Reasons
        GET
      • Create Return Reason
        POST
      • Upload Return Attachment
        POST
      • Create Return
        POST
      • List Returns
        GET
      • Get Return
        GET
      • Approve Return
        POST
      • Reject Return
        POST
      • List Resolution Methods
        GET
      • Inspect Return
        POST
      • Cancel Return
        POST
      • Get Return Timeline
        GET
    • 4. Webhooks
      • Webhook Meta
      • List Webhooks
      • Create Webhook
      • Get Webhook
      • Update Webhook
      • Delete Webhook
      • Rotate Webhook Secret
      • Send Test Webhook
      • List Webhook Deliveries
      • Get Webhook Delivery
      • Retry Webhook Delivery
    • 5. Store & Orders
      • Get Store
      • List Orders
      • Get Order
  1. 3. Returns

Cancel Return

POST
/partner/v1/returns/{id}/cancel
Withdraws a return from any non-terminal state. reason is required. Returns 409 if the return is already completed, rejected or cancelled and 400 if the reason is missing. Responds with the full return, same shape as Get Return.
Scope: refunds:write.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

🟠404Not found
🟠409Invalid status
🟠422Validation failed
🟠401Unauthorized
🟠403Forbidden
🟠429Too Many Requests
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/partner/v1/returns//cancel' \
--header 'X-Store-Id: {{partner_store_id}}' \
--header 'Accept-Language: en' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "reason": "Customer left without the item"
}'
Response Response Example
200 - Example 1
{
    "success": true,
    "message": "string",
    "data": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "external_return_id": "string",
        "request_number": 0,
        "status": "string",
        "refund_status": "string",
        "source": "string",
        "return_reason": "string",
        "order_id": "string",
        "currency": "string",
        "requested_amount": 0,
        "final_amount": 0,
        "items": [
            {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "line_id": "string",
                "name": "string",
                "sku": "string",
                "unit_price": 0,
                "tax": 0,
                "discount": 0,
                "reason": {
                    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                    "name": {
                        "en": "string",
                        "ar": "string"
                    },
                    "return_types": [
                        "string"
                    ]
                },
                "status": "string"
            }
        ],
        "refunds": [
            {
                "method": "string",
                "amount": 0,
                "status": "string",
                "payment": {
                    "transaction_reference": "string",
                    "status": "string",
                    "amount": 0,
                    "fee": 0,
                    "currency": "string",
                    "value_date": "2019-08-24",
                    "from": {
                        "name": "string",
                        "account": "string",
                        "bic": "string"
                    },
                    "to": {
                        "name": "string",
                        "account": "string",
                        "bic": "string"
                    },
                    "created_at": "2019-08-24T14:15:22.123Z"
                }
            }
        ],
        "attachments": [
            {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "url": "string",
                "media_type": "string",
                "created_at": "2019-08-24T14:15:22.123Z"
            }
        ],
        "shipments": [
            {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "direction": "string",
                "status": "string",
                "tracking_number": "string",
                "carrier_tracking_number": "string",
                "tracking_url": "string",
                "label_url": "string",
                "created_at": "2019-08-24T14:15:22.123Z"
            }
        ],
        "invoice_url": "string",
        "submitted_at": "2019-08-24T14:15:22.123Z",
        "approved_at": "2019-08-24T14:15:22.123Z",
        "rejected_at": "2019-08-24T14:15:22.123Z",
        "completed_at": "2019-08-24T14:15:22.123Z",
        "created_at": "2019-08-24T14:15:22.123Z"
    }
}
Previous
Inspect Return
Next
Get Return Timeline
Built with